var currentFormat = System.Gadget.Settings.read("hrFormat");
var ampmShowing = System.Gadget.Settings.read("show_ampm");

// Skin Names
var aSkins = new Array("Dima's Original", "T02", "Frosted Glass", "Rusted Plating", "A Little Less Rusted Plating", "Rust Covered Plaque", "Blue Jewel", "Digital Sign", "Digital Sign [Brighter Screen]", "Frosted Glass & Abstact Pipe Frame", "Glass Plaque w/ Stone Inset", "Glass Plaque w/ Emerald Inset", "Glass Plaque w/ Inset");

var count = 0;  // number of skins found
var maxSkins = aSkins.length;
var currentSkinNo = 0;  // the current skin selected
var imageButtonPath = "images/buttons/";

System.Gadget.onSettingsClosing = SettingsClosing;

function updateSkin()
{
	var skinPath = "images/skins/skin_" + (currentSkinNo+1) + "/"
	imgSkin.src = skinPath + "skin.png";
	divCount.innerText=(currentSkinNo + 1) + " / " + maxSkins;
	divName.innerText = aSkins[currentSkinNo];
}


// Change a IMG source
function ChangeIMG(imagesource, imagename)
{
	document.getElementById(imagesource).src= imageButtonPath + imagename;
}


// Display the next Skin
function nextSkin()
{
	currentSkinNo = (currentSkinNo+1) % count;
	updateSkin();
}

		
// Display the previous Skin
function previousSkin()
{
	currentSkinNo = (currentSkinNo-1+count) % count;
	updateSkin();
}

function init()
{
	if (currentFormat != "")
		{
			if (currentFormat == '_12hr')
				{ TwelveHr.checked = true; }
			else
				{ Twenty4Hr.checked = true; }
		}
	else
		{ TwelveHr.checked = true; }

	if (ampmShowing)
		{
			if (currentFormat != '_12hr')
				{
					ampm.checked = false;
					ampmShowing = false;
				}
			else
				{ ampm.checked = true; }
		}
	else
		{ ampm.checked = false; }
	
	count = maxSkins;
	
	currentSkinNo = System.Gadget.Settings.read("gSkin");;
	
	updateSkin();
}

function SettingsClosing(event)
{
	if (event.closeAction == event.Action.commit)
	{
		if (TwelveHr.checked)
			{
				System.Gadget.Settings.write("hrFormat", TwelveHr.value);
			}
		else
			{
				System.Gadget.Settings.write("hrFormat", Twenty4Hr.value);
			}
			
		if (ampm.checked)
			{
				System.Gadget.Settings.write("show_ampm", true);
			}
		else
			{
				System.Gadget.Settings.write("show_ampm", false);
			}

		System.Gadget.Settings.write("gSkin", currentSkinNo);
	}

event.cancel = false;
}